import type { AuthStrategy } from './types.js';
export declare class BasicAuthStrategy implements AuthStrategy {
    private encoded;
    constructor(user: string, pass: string);
    fetch(url: string, init?: RequestInit): Promise<Response>;
    getAuthorizationHeader(): Promise<string>;
}
